Name:           libxml++
Version:        2.14.0
Release:        1%{?dist}
Summary:        C++ wrapper for the libxml2 XML parser library

Group:          System Environment/Libraries
License:        LGPL
URL:            http://libxmlplusplus.sourceforge.net/
Source:         http://ftp.gnome.org/pub/GNOME/sources/libxml++/%{version}/libxml++-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml2-devel >= 2.6.1, doxygen, glibmm24-devel >= 2.4.0

%description
libxml++ is a C++ wrapper for the libxml2 XML parser library. It's original
author is Ari Johnson and it is currently maintained by Christophe de Vienne
and Murray Cumming.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig, libxml2-devel, glibmm24-devel

%description devel
This package contains the headers and libraries for libxml++ development.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name "*.la" -o -name '*.a' | xargs rm -f
# Modify temporary working directories for files section.
rm -rf _reference _examples _manual
mkdir -m 755 _reference _examples _manual
cp -a $RPM_BUILD_ROOT%{_docdir}/*/docs/reference/2.*/html _reference/reference
cp -a $RPM_BUILD_ROOT%{_docdir}/*/docs/manual _manual/manual
rm -rf $RPM_BUILD_ROOT%{_docdir}
cp -a examples _examples/examples
# Delete non-working makefiles, object files, prebuilt binaries and empty files.
find _examples -type f -a \( -name Makefile\* -o -name \*.o \
    -o \( -name example.C -a -perm +0111 \) -o -empty \) | xargs rm -f
find _examples -type d -name '*.libs' -o -name '.deps' | xargs rm -rf


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.so.*


%files devel
%defattr (-,root,root,-)
%doc _examples/examples _reference/reference _manual/manual
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Tue May 02 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.14.0-1
- Version 2.14.0

* Mon Feb 13 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.12.0-2.1
- FC5 Rebuild

* Thu Jan 26 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.12.0-2
- Rebuilt to address RH #178592

* Thu Sep 08 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 2.12.0-1
- Version 2.12.0
- Use --disable-static for configure.

* Thu Jul 21 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 2.10.0-1
- Version 2.10.0
- Rearrange and conform to new FE standards
- Buildrequire glibmm24-devel
- Add devel requires to -devel

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.26.0-5
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Nov 04 2003 Panu Matilainen <pmatilai@welho.com> - 0:0:26.0-0.fdr.3
- remove empty .libs directories

* Mon Nov  3 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.26.0-0.fdr.2
- buildrequires graphviz
- devel package requires main package and pkgconfig
- own %%_includedir/libxml++-1.0
- clean up examples tree

* Tue Oct 21 2003 Panu Matilainen <pmatilai@welho.com>
- Initial Fedora packaging

